Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.db
Interface TaskSchedulingContext

    public interface TaskSchedulingContext

A TaskSchedulingContext holds the scheduling context of a given Task.

During Task execution, it is stored into the BoT holding the given Task (both the BoT on the Consumer and the BoT of the Suppliers) until it is completed.

Upon Task completion or cancellation, this data is augmented with additional, Task outcome-related information, and then stored into the PeerRegister so that it can be mined by the Scheduler and Negotiators so as to improve their decision making.

A TaskSchedulingContext may be built for each Peer considered by a Negotiator for the scheduling of the given Task, so that possible Supplier Peers for the Consumption Task may be ranked according to the prediction given by the reliability model.

The TaskSchedulingContext of the selected Peer must be explicitely stored into the RequestContainer (itself stored in the given Task's owner BoT) of the given Task, so that it can be automatically added to the Interactions DataBase upon Task completion/cancellation.

Author:
  Cyril Briquet

Method Summary
`InteractionInstance` | `getInteractionForClassification()`
`InteractionInstance` | `getInteractionForRegression()`
`double` | `predictedResponseTime()`
`TaskOutcome` | `predictedTaskOutcome()`
`void` | `setOutcome(Task t, long xstart_time, RequestType rt)`

Method Detail

### getInteractionForClassification

    InteractionInstance getInteractionForClassification()

### getInteractionForRegression

    InteractionInstance getInteractionForRegression()

### predictedTaskOutcome

    TaskOutcome predictedTaskOutcome()

### predictedResponseTime

    double predictedResponseTime()

### setOutcome

    void setOutcome(Task t,
                    long xstart_time,
                    RequestType rt)
                    throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.